> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/segments/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/segments/:
    get:
      tags:
        - Segments
      summary: List
      operationId: segments_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: portfolio_id
          schema:
            type: string
            format: uuid
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSegmentList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedSegmentList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Segment'
    Segment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
          nullable: true
        portfolio:
          allOf:
            - $ref: '#/components/schemas/Portfolio'
          readOnly: true
        portfolio_id:
          type: string
          format: uuid
          writeOnly: true
        configurations:
          type: array
          items:
            $ref: '#/components/schemas/DatasetConfiguration'
          readOnly: true
        configuration_ids:
          type: array
          items:
            type: string
            format: uuid
            writeOnly: true
          writeOnly: true
      required:
        - configurations
        - id
        - name
        - portfolio
        - portfolio_id
    Portfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
      required:
        - id
    DatasetConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        report_name:
          type: string
          readOnly: true
        report_issued_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - id
        - report_issued_at
        - report_name
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````